package com.xinyilu.system.service.testLevel;

import com.xinyilu.system.domain.testLevel.TestItemLevel;

import java.util.List;

/**
 * 测试项目级别Service接口
 *
 * @author jihan
 * @date 2022-08-03
 */
public interface ITestItemLevelService {
    /**
     * 查询测试项目级别
     *
     * @param id 测试项目级别主键
     * @return 测试项目级别
     */
    public TestItemLevel selectTestItemLevelById(Long id);

    /**
     * 查询测试项目级别列表
     *
     * @param testItemLevel 测试项目级别
     * @return 测试项目级别集合
     */
    public List<TestItemLevel> selectTestItemLevelList(TestItemLevel testItemLevel);

    /**
     * 新增测试项目级别
     *
     * @param testItemLevel 测试项目级别
     * @return 结果
     */
    public int insertTestItemLevel(TestItemLevel testItemLevel);

    /**
     * 修改测试项目级别
     *
     * @param testItemLevel 测试项目级别
     * @return 结果
     */
    public int updateTestItemLevel(TestItemLevel testItemLevel);

    /**
     * 批量删除测试项目级别
     *
     * @param ids 需要删除的测试项目级别主键集合
     * @return 结果
     */
    public int deleteTestItemLevelByIds(Long[] ids);

    /**
     * 删除测试项目级别信息
     *
     * @param id 测试项目级别主键
     * @return 结果
     */
    public int deleteTestItemLevelById(Long id);
}
